Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Insert Bulk Seller Extensions

Request

Inserts multiple product extensions to the Master Data table.

The name (a name of the category) and sku must be provided for each record in the header and data object within the request body. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate).

Use the ISO 8601 date format (YYYY-MM-DD) if a date is included in the table.

Please note: If no joinFields are provided in the request, then this operation will insert entire records. It means that in this case (without joinFields) with /loaddata it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content.


Security
basic or X-PriceFx-jwt
Bodyapplication/json

Specify seller extension field names in the header object and field values in the data object.

dataobjectrequired
data.​dataArray of anyrequired

The data fields. Appearing in same order as specified in header list

data.​headerArray of anyrequired

The header fields.

data.​optionsobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/loaddata/SX \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "data": [
        [
          "s0006028005",
          "SXTest2"
        ],
        [
          "s0006047451",
          "SXTest2"
        ],
        [
          "s0006056838",
          "SXTest2"
        ],
        [
          "s0000412926",
          "SXTest2"
        ],
        [
          "s0000014471",
          "SXTest2"
        ],
        [
          "s0000412891",
          "SXTest2"
        ]
      ],
      "header": [
        "sellerId",
        "name"
      ],
      "options": {
        "detectJoinFields": false,
        "joinFields": [
          "sellerId",
          "name"
        ]
      }
    }
  }'

Responses

OK

Add a Seller Extension

Request

Adds a seller to the Seller Extensions Master Data table.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobject
operationstringrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/SX \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "name": "SXTest",
      "sellerId": "Seller023"
    },
    "operation": "add"
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "data": [], "status": 0 } }

Get a Seller Extension

Request

Retrieves details of the specified Seller Extension.

Security
basic or X-PriceFx-jwt
Path
SellerIdstringrequired

The SellerId of the seller in the Seller Extension table you want to retrieve details for.

Example: SC-001
SXCategorystringrequired

The Seller Extension category (the Name from the Seller Master Extension table).

Example: SalesOrganization
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetch/SC-001/SX/SalesOrganization

Responses

OK

Bodyapplication/json
responseobject(getSellerExtensionResponse)
Response
application/json
{ "repsonse": { "status": 0, "node": "node", "data": [], "endRow": 1 } }

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas